# BEGIN SourceDeps(oneline):
BuildRequires: unzip
# END SourceDeps(oneline)
%global theme_name    Zukitwo
%global deviantart_id 203936861
%global author        lassekongo83
%global tag           d3df2ot

Name:           zukitwo
Version:        20130329
Release:        alt1_1
Summary:        Themes for GTK+2, GTK+3, Metacity, GNOME Shell and Xfwm4
Group:          Graphical desktop/Other

License:        GPLv3
URL:            http://%{author}.deviantart.com/art/%{theme_name}-%{deviantart_id}
Source0:        http://www.deviantart.com/download/%{deviantart_id}/%{name}_by_%{author}-%{tag}.zip

# This patch removes two references to Unity-related stuff from 
# Zukitwo/gtk-3.0/gtk.css
Patch0:         %{name}-rm_unity.patch

BuildArch:      noarch      
Source44: import.info

%description
The %{theme_name} themes for GTK+2, GTK+3, Metacity, GNOME Shell and Xfwm4, 
created by %{author}.


%package common
Summary:        Files common to %{theme_name} themes
Group:          Graphical desktop/Other

%description common
Files which are common to all %{theme_name} themes.


%package gtk2-theme
Summary:        %{theme_name} GTK+2 themes
Group:          Graphical desktop/Other
Requires:       %{name}-common = %{version}-%{release} libgtk-engine-murrine >= 0.98.1.1 libgtk-engines-default

%description gtk2-theme
Themes for GTK+2 as part of the %{theme_name} theme.


%package gtk3-theme
Summary:        %{theme_name} GTK+3 themes
Group:          Graphical desktop/Other
Requires:       %{name}-common = %{version}-%{release}

%description gtk3-theme
Themes for GTK+3 as part of the %{theme_name} theme.


%package metacity-theme
Summary:        %{theme_name} Metacity themes
Group:          Graphical desktop/Other
Requires:       %{name}-common = %{version}-%{release} metacity

%description metacity-theme
Themes for Metacity as part of the %{theme_name} theme.


%package -n gnome-shell-theme-%{name}
Summary:        %{theme_name} GNOME Shell theme
Group:          Graphical desktop/Other
Requires:       %{name}-common = %{version}-%{release} gnome-shell-extensions >= 3.8 fonts-ttf-google-droid-sans

%description -n gnome-shell-theme-%{name}
%{theme_name} GNOME Shell theme.


%package xfwm4-theme
Summary:        %{theme_name} Xfwm4 themes
Group:          Graphical desktop/Other
Requires:       %{name}-common = %{version}-%{release} xfwm4

%description xfwm4-theme
Themes for Xfwm4 as part of the %{theme_name} theme.


%prep
%setup -q -c -n %{name}_by_%{author}-%{tag}
%patch0 -p0

# Remove "Thumbs.db" files
find . -name Thumbs.db -type f -exec rm -f '{}' \;
# Fix end-of-line encoding of "README"
sed -i 's/\r//' README
# Fix text encoding of "README" 
iconv -f iso8859-1 -t utf-8 README > README.conv && mv -f README.conv README
# Remove Unity stuff
rm %{theme_name}/gtk-3.0/unity.css
rm -r %{theme_name}/unity/


%build
# Nothing to build


%install
mkdir -p -m755 %{buildroot}%{_datadir}/themes/%{theme_name}
cp -pr %{theme_name}/* %{buildroot}%{_datadir}/themes/%{theme_name}
mkdir -p -m755 %{buildroot}%{_datadir}/themes/%{theme_name}/gnome-shell
cp -pr %{theme_name}-Shell/gnome-shell/* %{buildroot}%{_datadir}/themes/%{theme_name}/gnome-shell


%files common
%doc COPYING README
%dir %{_datadir}/themes/%{theme_name}/


%files gtk2-theme
%{_datadir}/themes/%{theme_name}/gtk-2.0/


%files gtk3-theme
%{_datadir}/themes/%{theme_name}/gtk-3.0/


%files metacity-theme
%{_datadir}/themes/%{theme_name}/metacity-1/


%files -n gnome-shell-theme-%{name}
%{_datadir}/themes/%{theme_name}/gnome-shell/


%files xfwm4-theme
%{_datadir}/themes/%{theme_name}/xfwm4/


%changelog
* Fri Apr 19 2013 Igor Vlasenko <viy@altlinux.ru> 20130329-alt1_1
- update to new release by fcimport

* Wed Feb 20 2013 Igor Vlasenko <viy@altlinux.ru> 20130207-alt1_1
- update to new release by fcimport

* Mon Feb 04 2013 Igor Vlasenko <viy@altlinux.ru> 20121216-alt1_2
- update to new release by fcimport

